Withdraw Fiat to Mobile Money
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/withdraw/mobile-money \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_key": "customer-key-123",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"callbackUrl": "https://example.com",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"currency": "USD"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/withdraw/mobile-money"
payload = {
"customer_key": "customer-key-123",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"callbackUrl": "https://example.com",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_key: 'customer-key-123',
amount: 10,
walletId: '5f9b2c7b9c9d6b0017b4e6b1',
callbackUrl: 'https://example.com',
referenceId: '5f9b2c7b9c9d6b0017b4e6b1',
currency: 'USD'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/withdraw/mobile-money', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Withdrawal has been successfully created.",
"data": {
"id": "<string>",
"message": "<string>",
"referenceId": "<string>",
"referenceNumber": 123
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Mobile Money Withdrawals
Mobile Money Withdrawal
This api will withdraw fiat from the integrator’s fiat wallet to the customer’s mobile money wallet.
POST
/
api
/
v3
/
withdraw
/
mobile-money
Withdraw Fiat to Mobile Money
This API will withdraw fiat from the integrator’s fiat wallet to the customer’s mobile money wallet.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Customer key
Example:
"customer-key-123"
amount to withdraw
Example:
10
wallet id
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
callback url
Example:
"https://example.com"
reference id
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
Override transaction currency (e.g. USD for USD mobile money in Congo/Zambia). When provided and matches the wallet currency, phone-country currency validation is skipped.
Example:
"USD"
⌘I